For the complete documentation index, see llms.txt. This page is also available as Markdown.

Authorization & Headers

BI SNAP APIs are using OAuth2 as standard authorization framework, to grant access to all the services provided by Finnet you need to have the access token with grantType=client_credetials. You will be required to have valid and authorised client_id to have a token. To get more information about implementation of oAuth 2 authorization framework you can refer to RFC6749 documentation that can be found in https://www.rfc-editor.org/rfc/rfc6749

Content-Type and Accept Header

BI SNAP APIs uses JSON format for input and output, hence it is required to specify JSON as content-type & accept JSON as response. The header specification is as shown below.

  • Content-Type: application/json

  • Accept: application/json

Authorization Header

These headers are mandatory requirements to be provided on every API request sent to Finnet services to have a successful request. Following are header fields that need to be provide :

Name
Type
Length
Mandatory
Description

Authorization

AN

N/A

M

Represents access_token of arequest, String starts with keyword “Bearer” followedby accessToken

Content-Type

AN

16

M

Content of you request body e.g. application/json

X-TIMESTAMP

yyyy-MM-ddThh:mi:ssTZD (ISO 8601)

25

M

Client’s current local time in yyyy-MM-ddTHH:mm:ssTZD format

X-SIGNATURE

AN

N/A

M

Please refer to Signature section

ORIGIN

String

N/A

M

Origin Domain www.yourdomain.com

X-EXTERNAL-ID

String

32

M

Numeric String Reference number that should be unique in the same day

X-PARTNER-ID

String

36

M

Unique ID for a partner

CHANNEL-ID

String

5

M

PJP’s channel id Device identification on which the API services is currently being accessed by the end user (customer). Finnet will provide this value

Last updated